Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 450746 (CVE-2012-6095) - <net-ftp/proftpd-1.3.4c: Symlink race condition when applying UserOwner to a newly (ProFTPD) created directory (CVE-2012-6095)
Summary: <net-ftp/proftpd-1.3.4c: Symlink race condition when applying UserOwner to a ...
Status: RESOLVED FIXED
Alias: CVE-2012-6095
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B3 [glsa]
Keywords: PMASKED
Depends on: 443518
Blocks:
  Show dependency tree
 
Reported: 2013-01-07 19:22 UTC by Agostino Sarubbo
Modified: 2013-09-24 23:39 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2013-01-07 19:22:36 UTC
From $URL :

A time-of-check time-of-use (TOCTOU) race condition flaw was found in the way ProFTPD, flexible, 
stable and highly-configurable FTP server, handled MKD/XMKD FTP commands when the UserOwner 
directive was involved. A local attacker could use this flaw to possibly escalate their privileges 
via symbolic-link attacks on directories, created by ProFTPD prior UserOwner ownership was applied.

Upstream bug report:
[1] http://bugs.proftpd.org/show_bug.cgi?id=3841

Relevant upstream patch:
[2] http://bugs.proftpd.org/show_bug.cgi?id=3841#c8

References:
[3] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=697524
Comment 1 GLSAMaker/CVETool Bot gentoo-dev 2013-01-25 13:10:23 UTC
CVE-2012-6095 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-6095):
  ProFTPD before 1.3.5rc1, when using the UserOwner directive, allows local
  users to modify the ownership of arbitrary files via a race condition and a
  symlink attack on the (1) MKD or (2) XMKD commands.
Comment 2 Sergei Trofimovich gentoo-dev 2013-04-09 20:35:29 UTC
The tree got fixed ebuild 'net-ftp/proftpd-1.3.4c' (fixed upstream).
Comment 3 Sean Amoss gentoo-dev Security 2013-04-17 21:23:50 UTC
(In reply to comment #2)
> The tree got fixed ebuild 'net-ftp/proftpd-1.3.4c' (fixed upstream).

Thanks, Sergei. Should we stabilize that one or the -r1 ?
Comment 4 Sergei Trofimovich gentoo-dev 2013-04-18 05:42:11 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > The tree got fixed ebuild 'net-ftp/proftpd-1.3.4c' (fixed upstream).
> 
> Thanks, Sergei. Should we stabilize that one or the -r1 ?

It's safer to stabilize '=net-ftp/proftpd-1.3.4c'.

-r1 differs only by new modules. I'd ike to have them in ~arch for a while.
Comment 5 Sean Amoss gentoo-dev Security 2013-04-18 21:10:09 UTC
(In reply to comment #2)
> The tree got fixed ebuild 'net-ftp/proftpd-1.3.4c' (fixed upstream).

Arches, please test and mark stable.
Target KEYWORDS: "alpha amd64 ~arm hppa ~ia64 ~mips ppc ppc64 sparc x86"
Comment 6 Vicente Olivert Riera (RETIRED) gentoo-dev 2013-04-20 11:38:03 UTC
We need to stabilize >=dev-libs/libmemcached-0.41 first, because =net-ftp/proftpd-1.3.4c[memcache] depends on it.

There is a stablereq for =dev-libs/libmemcached-0.50 here -> bug #443518
Comment 7 Vicente Olivert Riera (RETIRED) gentoo-dev 2013-04-20 11:38:03 UTC
We need to stabilize >=dev-libs/libmemcached-0.41 first, because =net-ftp/proftpd-1.3.4c[memcache] depends on it.

There is a stablereq for =dev-libs/libmemcached-0.50 here -> bug #443518
Comment 8 Jeroen Roovers gentoo-dev 2013-04-23 14:02:37 UTC
Stable for HPPA.
Comment 9 Agostino Sarubbo gentoo-dev 2013-04-23 21:39:11 UTC
amd64 stable
Comment 10 Agostino Sarubbo gentoo-dev 2013-04-23 21:40:01 UTC
x86 stable
Comment 11 Agostino Sarubbo gentoo-dev 2013-04-26 13:41:34 UTC
ppc stable
Comment 12 Agostino Sarubbo gentoo-dev 2013-04-26 13:45:40 UTC
ppc64 stable
Comment 13 Agostino Sarubbo gentoo-dev 2013-05-05 17:39:15 UTC
alpha stable
Comment 14 Agostino Sarubbo gentoo-dev 2013-05-07 13:54:56 UTC
sparc stable
Comment 15 Michael Weber (RETIRED) gentoo-dev 2013-07-09 00:32:29 UTC
+  09 Jul 2013; Michael Weber <xmw@gentoo.org> package.mask:
+  Masked <net-ftp/proftpd-1.3.4c for security bug 450746, CVE-2012-6095
+
Comment 16 Rick Farina (Zero_Chaos) gentoo-dev 2013-07-09 15:39:06 UTC
please stable on arm as well
Comment 17 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2013-07-10 13:04:06 UTC
(In reply to Rick Farina (Zero_Chaos) from comment #16)
> please stable on arm as well

Negative. Security stable requests are not meant to first stabilize a package on a new arch. File a separate request.
Comment 18 Sergey Popov gentoo-dev Security 2013-08-24 08:32:20 UTC
GLSA vote: yes
Comment 19 Sean Amoss gentoo-dev Security 2013-09-24 23:05:08 UTC
GLSA vote: yes
Comment 20 GLSAMaker/CVETool Bot gentoo-dev 2013-09-24 23:39:32 UTC
This issue was resolved and addressed in
 GLSA 201309-15 at http://security.gentoo.org/glsa/glsa-201309-15.xml
by GLSA coordinator Sean Amoss (ackle).